Re: Several Problems with SVN build

On Tue, 2007-11-13 at 22:22 -0500, David Ronis wrote:
> On Tue, 2007-11-13 at 21:11 -0500, Joseph Sacco wrote:
> > > 3.  On the Slack-11.0 box, gnome-system-tools doesn't build:

There have been a few issues with g-s-t, s-t-b and liboobs and brown
paper-bag releases have been pushed the last couple days up until
shortly before 2.21.2.

> Did the same with gnome-system-tools.  However, now I get a new error
> In file included from callbacks.c:28:
> ../../src/common/gst-polkit-action.h:21:27: error: polkit/polkit.h: No
> such file or directory
> In file included from callbacks.c:28:
> ../../src/common/gst-polkit-action.h:56: error: expected '=', ',', ';',
> 'asm' or '__attribute__' before 'gst_polkit_action_get_result'
> which, given that I can't build PolicyKit here isn't too surprising.
>  For now I've regressed gnome-system-tools to the previous version.

Fixed with g-s-t, which GARNOME 2.21.2 ships. :)  PolicyKit
actually is an optional dependency for g-s-t.


char *t="\10pse\0r\0dtu\0  ghno\x4e\xc8\x79\xf4\xab\x51\x8a\x10\xf4\xf4\xc4";
main(){ char h,m=h=*t++,*x=t+2*h,c,i,l=*x,s=0; for (i=0;i<l;i++){ i%8? c<<=1:
(c=*++x); c&128 && (s+=h); if (!(h>>=1)||!t[s+h]){ putchar(t[s]);h=m;s=0; }}}

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]